#!/bin/bash
#
# File name: postRestore_modem_start.sh
# File location: /nn/bin/postRestore_modem_start.sh
#

shopt -s -o nounset

/nn/bin/start_external_network.sh restart

/nn/bin/processcontrol start WANServiceMgr
/nn/bin/processcontrol start LANProviderAgent
/nn/bin/processcontrol start WANFailoverProviderAgent
/nn/bin/processcontrol start DHCPProviderAgent

cat /etc/sysconfig/network-scripts/ifcfg-eth1 | grep IPADDR | cut -d"=" -f2 | tr -d " \r\n" > /tmp/new_ip_addr

diff /tmp/old_ip_addr /tmp/new_ip_addr &> /dev/null
if [ "$?" = "1" ] ; then
	echo "notify MSM about the IP change " > /var/log/notifymsm_log
	/nn/bin/notifymsm eth1 &> /dev/null
else
	echo "IP is not changed, do not notify MSM" > /var/log/notifymsm_log
fi

rm /tmp/old_ip_addr
rm /tmp/new_ip_addr

if [ -f /etc/sysconfig/network ]; then
    . /etc/sysconfig/network
    hostname ${HOSTNAME}
fi

exit 0
